import * as VueRouter from 'vue-router';
import ViewData from '../components/views/ViewData.vue';
import ViewCheckIn from '../components/views/ViewCheckIn.vue';
import ViewBank from '../components/views/ViewBank.vue';
import ViewEmployer from '../components/views/ViewEmployer.vue';
import ViewStatePortal from '../components/views/ViewStatePortal.vue';

const routes = [
  {
    path: '/data',
    name: 'data',
    component: ViewData,
  },
  {
    path: '/settings',
    name: 'settings',
    component: ViewStatePortal,
  },
  {
    path: '/employer',
    name: 'employer',
    component: ViewEmployer,
  },
  {
    path: '/checkin',
    name: 'checkin',
    component: ViewCheckIn,
  },
  {
    path: '/bank',
    name: 'bank',
    component: ViewBank,
  },
];

const router = VueRouter.createRouter({
  history: VueRouter.createWebHistory(),
  routes,
});

export default router;